VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "richtx32.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2910
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   2595
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2910
   ScaleWidth      =   2595
   Begin RichTextLib.RichTextBox RichTextBox1 
      Height          =   1215
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2055
      _ExtentX        =   3625
      _ExtentY        =   2143
      _Version        =   393217
      TextRTF         =   $"Form1.frx":0000
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' Draw a formuls offseting numerals by the indicated amount.
Private Sub FormPrintFormula(ByVal frm As Form, ByVal X As Single, ByVal Y As Single, ByVal txt As String, Optional ByVal offset As Single = 60)
Dim i As Integer
Dim ch As String

    frm.CurrentX = X
    For i = 1 To Len(txt)
        ch = Mid$(txt, i, 1)
        If ch >= "0" And ch <= "9" Then
            frm.CurrentY = Y + offset
        Else
            frm.CurrentY = Y
        End If

        frm.Print ch;
    Next i
End Sub

' Offset numerals by the indicated amount.
Private Sub RichTextSubscriptNumerals(ByVal rch As RichTextBox, Optional ByVal offset As Integer = -50)
Dim i As Integer
Dim txt As String

    txt = rch.Text
    For i = 1 To Len(txt)
        If Mid$(txt, i, 1) >= "0" And Mid$(txt, i, 1) <= "9" Then
            rch.SelStart = i - 1
            rch.SelLength = 1
            rch.SelCharOffset = offset
        End If
    Next i
End Sub

Private Sub Form_Load()
    RichTextBox1.Font.Name = "Times New Roman"
    RichTextBox1.Font.Size = 10
    RichTextBox1.Text = _
        "H2SO4" & vbCrLf & _
        "H2O" & vbCrLf & _
        "CO2"

    RichTextSubscriptNumerals RichTextBox1, -50

    RichTextBox1.SelStart = 0
    RichTextBox1.SelLength = 0
End Sub
Private Sub Form_Paint()
Dim Y As Single

    Y = RichTextBox1.Top + _
        RichTextBox1.Height + 120
    FormPrintFormula Me, 120, Y, "H2SO4"

    Y = Y + ScaleY(1.5 * Font.Size, vbPoints, ScaleMode)
    FormPrintFormula Me, 120, Y, "H2O"

    Y = Y + ScaleY(1.5 * Font.Size, vbPoints, ScaleMode)
    FormPrintFormula Me, 120, Y, "CO2"
End Sub
